Mousius commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806651882



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO 
https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz

Review comment:
       Do we need `-L` here? It'd be better to not follow redirects if we can 
avoid it, otherwise can we add a hash check similar to:
   
https://github.com/apache/tvm/blob/b8851fc3ac7488bba536734acb60ed62c9159cf6/docker/install/ubuntu_install_freertos.sh#L43

##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 
get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       If we're updating these, is it possible to figure out how to securely 
install them?




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: [email protected]

For queries about this service, please contact Infrastructure at:
[email protected]


Reply via email to